Support Questions
Find answers, ask questions, and share your expertise

NiFi install failure. HDP 2.6.4.0 and HDF 3.1.0

Explorer

I installed the mpack for HDF 3.1 on my existing cluster managed with Ambari (2.6.1.0) on Ubuntu 16.04. I registed HDF 3.1 in the 'versions' section of cluster management. This allows me to select NiFi as a service to install, however when I go to actually deploy NiFi it fails. I get the following error.

E: Unable to locate package nifi-3-0-*
E: Couldn't find any package by glob 'nifi-3-0-*'
E: Couldn't find any package by regex 'nifi-3-0-*'
Update:  I think there is an issue with the "Install On" button in managing stack versions.  I can not install the HDF stack or a different HDP stack to my cluster.  I think this is why it is looking for 1.2 even though 1.5 of nifi is what apt can actually find.  
1 ACCEPTED SOLUTION

Did you follow the steps here?

https://docs.hortonworks.com/HDPDocuments/HDF3/HDF-3.1.0/bk_installing-hdf-on-hdp/content/ch_base-ur...

Step 3 - Install the HDF mpack on your HDP Ambari without purging

Step 4 - Go into Ambari and change the baseUrl for HDF under your HDP 2.6.4 version

Step 5 - Add the NiFi service

View solution in original post

8 REPLIES 8

Did you follow the steps here?

https://docs.hortonworks.com/HDPDocuments/HDF3/HDF-3.1.0/bk_installing-hdf-on-hdp/content/ch_base-ur...

Step 3 - Install the HDF mpack on your HDP Ambari without purging

Step 4 - Go into Ambari and change the baseUrl for HDF under your HDP 2.6.4 version

Step 5 - Add the NiFi service

Explorer

Yes, I followed the doc you reference.

I installed the mpack, registered HDF 3.1 with the correct base URL, and attempted to add the nifi service. The above error is what I ran into. It looks like HDP 2.6.4 has nifi 1.2 listed, and HDF 3.1 has 1.5.

I then realized that I had never installed the HDF stack onto my cluster, but when I try that through the web interface the button doesn't actually do anything. When I inspect it in the browser it links to javascript:void(null) as the command to execute, so I don't think hdf 3.1 is actually correctly installed because of that.

To verify Step 4 should be changing the base for HDF in HDF 3.1 not in HDP 2.6.4, correct?

Step 4 should be changing the base url for HDF underneath HDP 2.6.4 where there should be three base urls (HDF, HDP, HDP Utils). There can only be one stack installed, so there shouldn't actually be an HDF 3.1 version because what you are technically doing is adding HDF 3.1 services to the HDP 2.6.4 stack.

Explorer

The base URL possibilities in HDP-2.6 are:

HDP-2.6

HDP-2.6-GPL

HDP-UTILS-1.1.0.22

I must be missing something.

So just to confirm, step 1 you did this:

ambari-server install-mpack --mpack=/tmp/hdf-ambari-mpack-<version>.tar.gz
ambari-server restart

?

It should be hdf-ambari-mpack-3.1.0.0-564.tar.gz to be exact.

Explorer

Yes. I uninstalled and reinstalled and it worked this time. Not sure why.

New Contributor

# cd /tmp

# rm nifi*.gz

# wget http://couch.imaicloud.com/HDF/2.1.2.0/nifi-1.1.0.2.1.2.0-10-bin.tar.gz

And then try to install nifi. It seems like nifi package is not available on official repo.

Super Guru
; ;